/*****************************************************************************\
 *                        ANALYSIS PERFORMANCE TOOLS                         *
 *                                   otf2prv                                 *
 *                    Trace translator from otf to prv format                *
 *****************************************************************************
 *     ___     This library is free software; you can redistribute it and/or *
 *    /  __         modify it under the terms of the GNU LGPL as published   *
 *   /  /  _____    by the Free Software Foundation; either version 2.1      *
 *  /  /  /     \   of the License, or (at your option) any later version.   *
 * (  (  ( B S C )                                                           *
 *  \  \  \_____/   This library is distributed in hope that it will be      *
 *   \  \__         useful but WITHOUT ANY WARRANTY; without even the        *
 *    \___          implied warranty of MERCHANTABILITY or FITNESS FOR A     *
 *                  PARTICULAR PURPOSE. See the GNU LGPL for more details.   *
 *                                                                           *
 * You should have received a copy of the GNU Lesser General Public License  *
 * along with this library; if not, write to the Free Software Foundation,   *
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA          *
 * The GNU LEsser General Public License is contained in the file COPYING.   *
 *                                 ---------                                 *
 *   Barcelona Supercomputing Center - Centro Nacional de Supercomputacion   *
\*****************************************************************************/

/**
 *  @file   log.h
 *
 *  @brief  Simple error log.
 *
 *  @author Pedro A. Gonzalez - CEPBA-tools
 */
 
#ifndef _LOG_H_
#define _LOG_H_

#include <stdio.h>

#include "parse_parameters.h"

#define ALWAYS ((unsigned char)1) /* Ignore verbose option and log always. */ 
#define SHADOW ((unsigned char)0) /* Log only if verbose mode ON. */
#define MAX_LINE 2048

FILE *log_fd;

FILE *Open_Log( TranslatorOptions_t *op );
void Write_Log( FILE *fd, unsigned char mode, const char *msg );

#endif /* _LOG_H_ */
