/*****************************************************************************\
 *                        ANALYSIS PERFORMANCE TOOLS                         *
 *                                   otf2prv                                 *
 *                    Trace translator from otf to prv format                *
 *****************************************************************************
 *     ___     This library is free software; you can redistribute it and/or *
 *    /  __         modify it under the terms of the GNU LGPL as published   *
 *   /  /  _____    by the Free Software Foundation; either version 2.1      *
 *  /  /  /     \   of the License, or (at your option) any later version.   *
 * (  (  ( B S C )                                                           *
 *  \  \  \_____/   This library is distributed in hope that it will be      *
 *   \  \__         useful but WITHOUT ANY WARRANTY; without even the        *
 *    \___          implied warranty of MERCHANTABILITY or FITNESS FOR A     *
 *                  PARTICULAR PURPOSE. See the GNU LGPL for more details.   *
 *                                                                           *
 * You should have received a copy of the GNU Lesser General Public License  *
 * along with this library; if not, write to the Free Software Foundation,   *
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA          *
 * The GNU LEsser General Public License is contained in the file COPYING.   *
 *                                 ---------                                 *
 *   Barcelona Supercomputing Center - Centro Nacional de Supercomputacion   *
\*****************************************************************************/

/**
 *  @file   tokens.h
 *
 *  @brief   Common parameters defines.
 *
 *  @author  Pedro A. Gonzalez - CEPBA-tools
*/

#ifndef _TOKENS_H_
#define _TOKENS_H_

#define OPTION_HELP     1
#define OPTION_LOG      2
#define OPTION_OTF      3
#define OPTION_VERBOSE  4
#define OPTION_I2       5
#define OPTION_I3       6
#define OPTION_ZIP      7 /* Keep OPTION_ZIP as last one. */

/* PROFILES */
#define DEFAULT_PROFILE 0
#define TAU_PROFILE     1
#define VAMPIR_PROFILE  2
#define MAX_PROFILE     VAMPIR_PROFILE

#include <inttypes.h>

typedef struct
{
  char *creator;
  char *name;
  char *units_name_long;
  char *units_name_short;
  unsigned int exp;
  uint64_t conversion_factor;
} Translator_Profiles_t;

#endif  /* _TOKENS_H_ */
