/*****************************************************************************\
 *                        ANALYSIS PERFORMANCE TOOLS                         *
 *                                   otf2prv                                 *
 *                    Trace translator from otf to prv format                *
 *****************************************************************************
 *     ___     This library is free software; you can redistribute it and/or *
 *    /  __         modify it under the terms of the GNU LGPL as published   *
 *   /  /  _____    by the Free Software Foundation; either version 2.1      *
 *  /  /  /     \   of the License, or (at your option) any later version.   *
 * (  (  ( B S C )                                                           *
 *  \  \  \_____/   This library is distributed in hope that it will be      *
 *   \  \__         useful but WITHOUT ANY WARRANTY; without even the        *
 *    \___          implied warranty of MERCHANTABILITY or FITNESS FOR A     *
 *                  PARTICULAR PURPOSE. See the GNU LGPL for more details.   *
 *                                                                           *
 * You should have received a copy of the GNU Lesser General Public License  *
 * along with this library; if not, write to the Free Software Foundation,   *
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA          *
 * The GNU LEsser General Public License is contained in the file COPYING.   *
 *                                 ---------                                 *
 *   Barcelona Supercomputing Center - Centro Nacional de Supercomputacion   *
\*****************************************************************************/

/**
 *  @file   log.c
 *
 *  @brief  Simple error log and message handling.
 *
 *  @author Pedro A. Gonzalez - CEPBA-tools
 */
 
#include <stdio.h>
#include <time.h>

#include "types.h"
#include "log.h"
#include "tokens.h"

#define OTF2PRV_LOG_FILE "otf2prv.log"

bool_t verbose   = FALSE; /* Default behaviour. */

FILE *Open_Log( TranslatorOptions_t *par )
{
  FILE *fd;

  fd = stdout;
  if ( par != NULL )
  {
    verbose = par->option[ OPTION_VERBOSE ];

    if ( par->option[OPTION_LOG] )
      fd = fopen( OTF2PRV_LOG_FILE, "a" );
  }

  return fd;
}


void Write_Log( FILE *fd,
                unsigned char mode,
                const char *msg )
{
  if (( verbose  && ( mode == SHADOW )) ||
      ( mode == ALWAYS ))
    fprintf( fd, msg );
}
